#
# spec file for package fcitx-unikey
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fcitx-unikey
Version:        0.2.7
Release:        4.5
Summary:        Vietnamese unikey support for Fcitx
License:        GPL-3.0-or-later
Group:          System/I18n/Chinese
URL:            https://gitlab.com/fcitx/fcitx-unikey
Source:         https://download.fcitx-im.org/fcitx-unikey/%{name}-%{version}.tar.xz
#PATCH-FIX-UPSTREAM lower qt5 version
Patch0:         qt5-version.patch
#BACKPORT
Patch1:         fix_the_shift_key_bug_in_chromium.patch
BuildRequires:  cmake
BuildRequires:  fcitx-devel >= 4.2.3
BuildRequires:  fcitx-qt5-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  xz
%{fcitx_requires}
%if 0%{?suse_version} < 1550 && 0%{?sle_version} < 150200
BuildRequires:  libqt4-devel
%endif

%description
fcitx-unikey provides support for Vietnamese unikey IM.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name}
%fdupes %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING
%dir %{_fcitx_libdir}/qt
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_fcitx_addondir}/%{name}.conf
%{_fcitx_descdir}/%{name}.desc
%{_fcitx_imicondir}/unikey.png
%{_fcitx_inputmethoddir}/unikey.conf
%{_fcitx_libdir}/%{name}.so
%{_fcitx_libdir}/qt/lib%{name}-macro-editor.so

%changelog
* Tue Mar 29 2022 tiwai@suse.de
- Fix the recent TW build breakage, add icons directory to file list
* Wed Nov 13 2019 Tranter Madi <trmdi@yandex.com>
- Add fix_the_shift_key_bug_in_chromium.patch
  * Backport the fix for: https://github.com/fcitx/fcitx-unikey/issues/24
* Tue Aug 27 2019 Christophe Giboudeaux <christophe@krop.fr>
- Remove the Qt4 requirement for openSUSE Leap 15.2 and Tumbleweed
- Remove the obsolete version check
- Run spec-cleaner
- Update the URL
* Sat Dec  2 2017 i@marguerite.su
- update version 0.2.7
  * remove unused deps
  * port editor to qt5
- changes in 0.2.6
  * fix input speed window
  * remove unused iconv.h
  * use "Toggle" instead of Enable
  * enable Macro by default to workaround the same firefox bug
  * remove iconv and add missing libintl
  * explicit cast to unsigned to remove warning
- drop fcitx-unikey-static_cast.patch，upstreamed
- add qt5-version.patch
* Fri Jun 17 2016 i@marguerite.su
- add patch: fcitx-unikey-static_cast.patch
  * fix narrowing conversion from char to unsigned char
* Thu Dec 24 2015 i@marguerite.su
- update version 0.2.5
  * remove the check of UnikeySetInputMethod
  * fix github issue #6: can not enter "giow"
* Mon Jun  9 2014 i@marguerite.su
- update version 0.2.4
  * Fix github issues fcitx/fcitx-unikey#3
* Sat Mar 22 2014 i@marguerite.su
- update version 0.2.3
  * install desc file
* Tue Jul 16 2013 i@marguerite.su
- update version 0.2.2
  * Fix unikey doesn't show in list
  * fix icon install path
* Mon Jul  1 2013 i@marguerite.su
- update version 0.2.1
  * Translation Update
* Mon Jan 28 2013 i@marguerite.su
- add COPYING to %%doc
* Sat Jan 26 2013 i@marguerite.su
- update version 0.2.0
  * use new custom ui to build macro editor
- fcitx-unikey-0.2.0-compat-qt474.patch
  * fix qt 4.7.4 builds under 12.1 and below
  * remove next release
* Wed Dec 12 2012 i@marguerite.su
- enable macro editor sub-package.
* Mon Oct 29 2012 i@marguerite.su
- update version 0.1.1
  * Fix some typing related bug.
  * Add a new qt based macro editor.
* Mon Jun 25 2012 i@marguerite.su
- fix fedora builds.
* Mon May  7 2012 i@marguerite.su
- initial package 0.1.0
  * Vietnamese unikey support for Fcitx.
